Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Interface LayoutServiceInfo

All Known Subinterfaces:
  LayoutService

All Known Implementing Classes:
  LayoutServiceImpl

    public interface LayoutServiceInfo

Read Only information about the layout service.

Version:
  $Revision: 10337 $
Author:
  Martin Holzner

Method Summary
`PortalLayout` | `getLayout(ServerRegistrationID id, boolean defaultOnNull)` Get the layout for the provided registration id.
`PortalLayout` | `getLayout(java.lang.String name, boolean defaultOnNull)` Get the layout for the provided name.
`PortalLayout` | `getLayoutById(java.lang.String layoutIdString)`
`java.util.Collection` | `getLayouts()` Get a Set of portal layouts
`PortalRenderSet` | `getRenderSet(LayoutInfo info, org.jboss.portal.common.util.ContentInfo streamInfo, java.lang.String renderSetName)`
`PortalRenderSet` | `getRenderSet(ServerRegistrationID id, org.jboss.portal.common.net.media.MediaType mediaType)` Retrieves the render set for this Layout.
`PortalRenderSet` | `getRenderSet(java.lang.String renderSetName, org.jboss.portal.common.net.media.MediaType mediaType)` Get the render set for the provided layout.
`java.util.Collection` | `getRenderSets()` Retrieves the set of the ServerRegistrationID for registred render set

Method Detail

### getLayout

    PortalLayout getLayout(ServerRegistrationID id,
                           boolean defaultOnNull)

  Get the layout for the provided registration id.

  Parameters:
    `id` - the registration id of the layout to get
    `defaultOnNull` - true, if the default layout (if any is defined) should be returned in case the requested layout is not found
  Returns:
    the requested layout , of the default layout, or null

### getLayout

    PortalLayout getLayout(java.lang.String name,
                           boolean defaultOnNull)

  Get the layout for the provided name.

  Parameters:
    `name` - the name of the layout to request
    `defaultOnNull` - true, if the default layout (if any is defined) should be returned in case the requested layout is not found
  Returns:
    the requested layout , of the default layout, or null

### getLayoutById

    PortalLayout getLayoutById(java.lang.String layoutIdString)

### getRenderSet

    PortalRenderSet getRenderSet(java.lang.String renderSetName,
                                 org.jboss.portal.common.net.media.MediaType mediaType)

  Get the render set for the provided layout.

  Parameters:
    `renderSetName` - the name of the renderSet to find
    `mediaType` - the mediatype for which to find the renderSet
  Returns:
    the registered renderSet for the provided name and media type, or null if no such renderSet is registered

### getRenderSet

    PortalRenderSet getRenderSet(ServerRegistrationID id,
                                 org.jboss.portal.common.net.media.MediaType mediaType)

  Retrieves the render set for this Layout.

  Parameters:
    `id` - the registration id of the RenderSet to retrieve.
    `mediaType` - the media type that must be supported by the RenderSet to be retrieved
  Returns:
    the registered RenderSet identified by the specified id and media type, `null` otherwise.
  Since:
    2.4

### getLayouts

    java.util.Collection getLayouts()

  Get a Set of portal layouts

  Returns:
    a Set of portal layouts

### getRenderSets

    java.util.Collection getRenderSets()

  Retrieves the set of the ServerRegistrationID for registred render set

  Returns:
    the set of the ServerRegistrationID for registred render set

### getRenderSet

    PortalRenderSet getRenderSet(LayoutInfo info,
                                 org.jboss.portal.common.util.ContentInfo streamInfo,
                                 java.lang.String renderSetName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD